Submit Job
curl --request POST \
--url https://app.lapathoniia.top/batch/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_type": "<string>",
"model": "<string>",
"inline": {
"messages": [
{}
]
},
"drive": {
"file_id": "<string>",
"folder_id": "<string>"
},
"priority": 10,
"max_retries": 3,
"pipeline": "<string>",
"pipeline_instruction": "<string>"
}
'import requests
url = "https://app.lapathoniia.top/batch/jobs"
payload = {
"job_type": "<string>",
"model": "<string>",
"inline": { "messages": [{}] },
"drive": {
"file_id": "<string>",
"folder_id": "<string>"
},
"priority": 10,
"max_retries": 3,
"pipeline": "<string>",
"pipeline_instruction": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_type: '<string>',
model: '<string>',
inline: {messages: [{}]},
drive: {file_id: '<string>', folder_id: '<string>'},
priority: 10,
max_retries: 3,
pipeline: '<string>',
pipeline_instruction: '<string>'
})
};
fetch('https://app.lapathoniia.top/batch/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "<string>",
"job_type": "<string>",
"model": "<string>",
"input_type": "<string>",
"filename": "<string>",
"priority": 123,
"retry_count": 123,
"max_retries": 123,
"result": {},
"error": "<string>",
"drive_folder_id": "<string>",
"drive_result_file_id": "<string>",
"pipeline": "<string>",
"pipeline_instruction": "<string>",
"parent_job_id": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}batch
Submit Job
Submit a new batch job (inline or Drive-based).
- inline: provide
inline.messageswith the chat messages - drive file: provide
drive.file_id— one job is created for that file - drive folder: provide
drive.folder_id— one job per pending file in folder - job_type=auto: file extension and MIME type determine chat vs. ocr (Drive only)
POST
/
batch
/
jobs
Submit Job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Request body for POST /batch/jobs.
'chat', 'ocr', or 'auto' (detect from file)
Pattern:
^(chat|ocr|auto)$LiteLLM model name; defaults to model for job_type
Inline chat messages
Show child attributes
Show child attributes
Google Drive input
Show child attributes
Show child attributes
Lower = processed sooner
Required range:
1 <= x <= 100Required range:
0 <= x <= 10'ocr_then_chat' — run OCR then pass result to LLM
Pattern:
^ocr_then_chat$Task for the LLM step in the pipeline
Maximum string length:
2000Response
Successful Response
